
Redmine - Defect #5766

unable to disable deletelink even though delete issues is not checked in roles and permissions 

2010-06-28 11:44 - mani kanth

Status: Closed Start date: 2010-06-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.1

Description

1. Unchecked Delete issues in roles and permissions.

2. Login as normal user whose permission to delete issue is disabled.

3. Opened a issue and check delete link

Actual -  Delete link is displayed and able to delete issue

Expected - Delete link should not be displayed

History

#1 - 2010-06-28 19:30 - Holger Just

I can not reproduce this issue. Please make sure to check SubmittingBugs and provide more information about your installation and configuration.

Make sure that your user does not have more than one role in the project. Also possibly check the non-member role, if the user is not an actual

member of the project. Please make sure to read RedmineRoles.

#2 - 2010-06-29 12:09 - mani kanth

- Assignee set to Holger Just

Redmine is successfully installed all functionality is as per expected. I have not assigned User with different roles, the role assigned doesn't have

permission to delete issues.

Steps i followed by me to disable Delete link

1.    Go to Administration in Redmine .

2.    Click on Roles and Permissions.

3.    Open any of Roles  “Developer” or “Reporter”

4.    Uncheck “Delete Issues” in Issues tracking .

5.    Login as “Developer or Reporter” and open and issue in Redmine

6.    Right corner still you find Delete Link which was disabled earlier

Please let me know steps to disable Delete link in issues if the above steps are wrong.

#3 - 2010-06-29 12:53 - Holger Just

- Assignee deleted (Holger Just)

I can still not reproduce the issue. Please read SubmittingBugs again and provide the requested information.

If the user is an admin, then she is always allowed to delete issues, independent of the actual permissions of her project role. Also, as said above, if

the user is not a member of the project, the non-member roles applies to her.

#4 - 2010-08-26 00:40 - Eric Davis

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Cant reproduce

Closing as can't reproduce and no reply from issue author.  Feel free to reopen if you are still see a problem with this.

#5 - 2011-01-04 21:59 - David Trusty

2025-05-17 1/3

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/projects/redmine/wiki/RedmineRoles#System-roles
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


- Status changed from Closed to Reopened

I can reproduce this problem.

I have verified that the person is only in one group, and there are no

permissions assigned to anonymous and non-members.

#6 - 2011-01-27 11:48 - Arkadiusz Malon

I also have that problem. Currently running Redmine 1.02.

User has a "Reporter" role assigned with an "Issue tracking/Delete issues" unchecked in the role.

While in issue list he is unable to delete the issue using right click method (delete is gray), BUT when he opens the issue, the Delete icon and link are

active and he's able to delete the issue.

User is not an administrator, he has only Reporter role for this project assigned, he is not the author of the issue.

#7 - 2011-02-23 11:08 - Arkadiusz Malon

Arkadiusz Malon wrote:

I also have that problem. Currently running Redmine 1.02.

 Changed to 1.1.1 - the problem is still there.

#8 - 2011-02-23 11:17 - Jean-Baptiste Barth

Still cannot reproduce. We cannot help you as long as nobody takes 5 minutes to give us minimal step to reproduce with informations requested at 

SubmittingBugs, sorry.

#9 - 2011-02-23 12:22 - Etienne Massip

- Category set to Issues permissions

- Affected version (unused) set to 1.1.1

- Affected version set to 1.1.1

#10 - 2011-02-23 13:01 - Arkadiusz Malon

- File screen1.png added

- File screen2.png added

- File screen3.png added

- File screen4.png added

You are right, sorry. Here is my configuration:

Redmine 1.1.1.stable (MySQL)

database: mysql  Ver 14.14 Distrib 5.1.22-rc, for portbld-freebsd7.0 (i386) using  5.2

Ruby version              1.8.7 (i386-freebsd7)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Question plugin     0.3.0

Redmine Backlogs            master branch (unstable)

Scrumdashboard plugin       1.2

Mylyn Connector plugin      2.7.0.stable.RC3

Redmine Todo Lists plugin   0.0.4.2
There are no errors logged.

I've attached some screenshots - that's all I can do.

User test has a Tester role in the test project. Tester shouldn't be able to delete the issue - at least that's what I thing the permissions show.

Test is not able to delete the issue from the issue list (screen1), but is able to do that from issue page (screen2).

#11 - 2011-07-27 08:26 - Wicola Lation

I too faced the same problem. My engineers with developer roles are able to delete issues even though the developer role specifically does not allow

deletion of issues.

And I only found out today why.

It's because I had installed the plugin "Redmine Todo Lists" (0.0.4.3),https://github.com/dalyons/redmine-todos-scrum-plugin

and enabled the "Edit Todo Lists" under "Roles" -> "Developer".

Once I uncheck this box, the delete link disappears from the issues when viewed by a developer.

Guess that's a bug in the Todo Lists plugin?

#12 - 2013-01-12 16:54 - Etienne Massip

- Status changed from Reopened to Closed

- Resolution changed from Cant reproduce to Invalid

Was a plugin issue indeed.
